<?php
namespace nur\b\params\impl;

use nur\b\params\Tparametrable;

class BPC2 extends BPC1 {
  use Tparametrable;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "sub-string" => "string",
    "sub-nstring" => "?string",
    "sub-bool" => "bool",
    "sub-nbool" => "?bool",
  ];
  
  /** @var string */
  private $ppSubString, $ppSubNstring;
  /** @var bool */
  private $ppSubBool, $ppSubNbool;

  function getSubData(): array {
    $topData = $this->getTopData();
    $subData = [$this->ppSubString, $this->ppSubNstring, $this->ppSubBool, $this->ppSubNbool];
    return array_merge($topData, $subData);
  }
}
